<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/

class Gdpr_Form_Contactdpo extends Engine_Form
{
  public function init()
  {

    // Init form
    $this->setTitle('');
    $this->setDescription("");
    $this->setAttrib('id', 'gdpr_contactdpo');
    $this->setAttrib('class', 'gdpr_contactdpo');
    $this->loadDefaultDecorators();
    $this->getDecorator('Description')->setOption('escape', false);


    $name = Zend_Registry::get('Zend_Translate')->_('First Name');
    // Init password
    $this->addElement(
      'Text',
      'first_name',
      array(
        'label' => $name,
        'required' => true,
        'allowEmpty' => false,
        'filters' => array(
          'StringTrim',
        ),
      )
    );

    $description = Zend_Registry::get('Zend_Translate')->_('Last Name');
    // Init password
    $this->addElement(
      'Text',
      'last_name',
      array(
        'label' => $description,
        'required' => true,
        'allowEmpty' => false,
        'filters' => array(
          'StringTrim',
        ),
      )
    );

    $email = Zend_Registry::get('Zend_Translate')->_('Email');
    // Init password
    $this->addElement(
      'Text',
      'email',
      array(
        'label' => $email,
        'required' => true,
        'allowEmpty' => false,
        'filters' => array(
          'StringTrim',
        ),
      )
    );
    $message = Zend_Registry::get('Zend_Translate')->_('Message');
    $this->addElement(
      'Textarea',
      'message',
      array(
        'label' => $message,
        'required' => true,
        'allowEmpty' => false,
        'rows' => '3',
        'filters' => array(
          'StringTrim',
        ),
      )
    );
    $this->addElement('Hidden', 'type', array());


    // Init submit
    $this->addElement(
      'Button',
      'submit',
      array(
        'label' => 'Submit',
        'type' => 'submit',
        'ignore' => true,
      )
    );
    // Set default action
  }
}
